Bug 138990 - kswapd0: Unable to handle kernel paging request at virtual address ae9891a4
kswapd0: Unable to handle kernel paging request at virtual address ae9891a4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 07:17 EST by Mike Bobbitt
Modified: 2015-01-04 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-28 16:55:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Copy of dmesg displaying similar error... (15.03 KB, text/plain)
2004-11-29 15:56 EST, Jeff Iddings
no flags Details
syslog file with error message output (2.63 KB, text/plain)
2004-12-06 13:33 EST, Kyle D Reynolds
no flags Details
extract from /var/log/messages (2.60 KB, text/plain)
2004-12-13 12:10 EST, LeAg
no flags Details
Extract from /var/log/messages (1.91 KB, text/plain)
2005-04-29 01:19 EDT, Michael Jørgensen
no flags Details

  None (edit)
Description Mike Bobbitt 2004-11-12 07:17:13 EST
Description of problem:
System locked up last night, required hard reboot:

/var/log/messages shows:

Nov 12 04:13:34 www kernel: Unable to handle kernel paging request at
virtual address ae9891a4
Nov 12 04:13:34 www kernel:  printing eip:
Nov 12 04:13:34 www kernel: 0216782a
Nov 12 04:13:34 www kernel: *pde = 00000000
Nov 12 04:13:34 www kernel: Oops: 0002 [#1]
Nov 12 04:13:34 www kernel: SMP
Nov 12 04:13:34 www kernel: Modules linked in: parport_pc lp parport
autofs4 sunrpc ipt_REJECT ipt_LOG ipt_limit ipt_state ip_conntrack
iptable_filter ip_tables microcode dm_mod button battery ac md5 ipv6
joydev uhci_hcd ehci_hcd snd_intel8x0 snd_ac97_codec snd_pcm_oss
snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore e1000 floppy
ext3 jbd ata_piix libata sd_mod scsi_mod
Nov 12 04:13:34 www kernel: CPU:    1
Nov 12 04:13:34 www kernel: EIP:    0060:[<0216782a>]    Not tainted VLI
Nov 12 04:13:34 www kernel: EFLAGS: 00010206   (2.6.9-1.667smp)
Nov 12 04:13:34 www kernel: EIP is at prune_dcache+0x53/0x18e
Nov 12 04:13:34 www kernel: eax: 02311ba0   ebx: 2e98923c   ecx:
00000001   edx: ae9891a4
Nov 12 04:13:34 www kernel: esi: 2e9892ac   edi: 2e9892b4   ebp:
0000003f   esp: 81c3ef0c
Nov 12 04:13:34 www kernel: ds: 007b   es: 007b   ss: 0068
Nov 12 04:13:34 www kernel: Process kswapd0 (pid: 39,
threadinfo=81c3e000 task=81c7b770)
Nov 12 04:13:34 www kernel: Stack: 00000000 00000081 00000000 81e6ea00
02167c95 02142660 00d7d200 00000000
Nov 12 04:13:34 www kernel:        0000001f 00000000 0006ee1d 000000d0
00000020 0230cd00 00000002 0230cd00
Nov 12 04:13:34 www kernel:        0000000b 02143871 0006ee1d 81c3ef9c
00000000 00000001 00000000 00000010
Nov 12 04:13:34 www kernel: Call Trace:
Nov 12 04:13:34 www kernel:  [<02167c95>] shrink_dcache_memory+0x18/0x2f
Nov 12 04:13:34 www kernel:  [<02142660>] shrink_slab+0xf8/0x161
Nov 12 04:13:34 www kernel:  [<02143871>] balance_pgdat+0x1bf/0x28c
Nov 12 04:13:34 www kernel:  [<02143a08>] kswapd+0xca/0xcc
Nov 12 04:13:34 www kernel:  [<0211deca>]
autoremove_wake_function+0x0/0x2d
Nov 12 04:13:34 www kernel:  [<0211deca>]
autoremove_wake_function+0x0/0x2d
Nov 12 04:13:34 www kernel:  [<0214393e>] kswapd+0x0/0xcc
Nov 12 04:13:34 www kernel:  [<021041f1>] kernel_thread_helper+0x5/0xb
Nov 12 04:13:34 www kernel: Code: 73 63 fb ff b8 80 2f 37 02 e8 2f 03
15 00 8b 1d a4 1b 31 02 81 fb a0 1b 31 02 0f 84 38 01 00 00 8b 03 8b
53 04 89 50 04 89 5b 04 <89> 02 a1 a4 1b 31 02 89 1b 0f 18 00 90 ff 0d
ac 1b 31 02 8d 7b


Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667

How reproducible:
Didn't try

Steps to Reproduce:
First occurrence. Will watch for more.
Comment 1 Mike Bobbitt 2004-11-12 12:29:26 EST
Correct rpm is kernel-smp-2.6.9-1.667.
Comment 2 Jeff Iddings 2004-11-29 15:56:36 EST
Created attachment 107573 [details]
Copy of dmesg displaying similar error...
Comment 3 Jeff Iddings 2004-11-29 15:57:04 EST
I'm having the same issue, only with kernel version..

kernel-smp-2.6.9-1.681_FC3

But when receiving that error, the system only locks up about half the
time. 
Comment 4 Kyle D Reynolds 2004-12-06 13:33:19 EST
Created attachment 107975 [details]
syslog file with error message output
Comment 5 Kyle D Reynolds 2004-12-06 13:35:30 EST
Comment on attachment 107975 [details]
syslog file with error message output

I get the same error daily at 4am.  The system may stay useable for a short
time but will evently require a reset.	I can sometimes reproduce the error by
running the scripts in /etc/cron.daily (ex prelink).
Comment 6 LeAg 2004-12-13 12:08:42 EST
I got the same oops when i launch /etc/cron.daily/slocate.cron.
This can be reproduced with all theses kernels : 
- kernel-2.6.9-1.667
- kernel-2.6.9-1.698_FC3
- kernel-2.6.9-1.681_FC3
Comment 7 LeAg 2004-12-13 12:10:42 EST
Created attachment 108455 [details]
extract from /var/log/messages
Comment 8 Vanamali 2005-01-14 04:33:39 EST
Changed from 2.6.9-1.667 to 2.6.9-1.724_FC3 but problem persists.  
Before leaving work, I logout but keep the computer on; almost 
regularly the problem appears next morning when I come to login.  
Without rebooting I am unable to login: can enter username but won't 
prompt for password.  Rebooting using Ctl+Alt+Del does not work; only 
hard reboot works.
Comment 9 Michael Jørgensen 2005-04-29 01:17:48 EDT
I'm having the same issue, except for me it is the process hald that stops. I'm 
using kernel-2.6.10-1.770_FC3.

My system is a headless file and printer server. This happened spontaneously at 
00:50:12. No clients were connected at the time.

The system did not lock up, and is still running now (the next day).

I've attached a copy of the relevant lines from /var/log/messages
Comment 10 Michael Jørgensen 2005-04-29 01:19:43 EDT
Created attachment 113818 [details]
Extract from /var/log/messages
Comment 11 Brendan Lynch 2005-06-22 13:29:17 EDT
I'm seeing similar problems both on 2.6.10-1.770_FC3 and 2.6.11-1.27_FC3.  My
system is an imap, squid and webmail server, very lightly used, nor running an X
display.  After several days running the slab cache areas get quite big,
particularly the "ext3_inode_cache" and "dentry_cache" caches.  Then a random
process gets killed by a kernel Oops (see atached logs below).  If the process
is not vital the system will keep running, but eventually one or more similar
Oopses will occur and eventually something vital enough will crash or hang the
system.

System has 512Mb memory, Celeron-D processor and a VIA motherboard.



Jun  1 04:02:13 megamama kernel: Unable to handle kernel paging request at
virtual address fed2a7a0
Jun  1 04:02:13 megamama kernel:  printing eip:
Jun  1 04:02:13 megamama kernel: c0157c50
Jun  1 04:02:13 megamama kernel: *pde = 00000000
Jun  1 04:02:13 megamama kernel: Oops: 0000 [#1]
Jun  1 04:02:13 megamama kernel: Modules linked in: edd nfs lockd parport_pc lp
parport autofs4 it87 eeprom i2c_sensor i2c_isa sunrpc dm_mod video button
battery ac uhci_hcd ehci_hcd i2c_viapro i2c_core snd_via82xx snd_ac97_codec
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore via_rhine mii floppy
ext3 jbd sata_via libata sd_mod scsi_mod
Jun  1 04:02:13 megamama kernel: CPU:    0
Jun  1 04:02:13 megamama kernel: EIP:    0060:[<c0157c50>]    Not tainted VLI
Jun  1 04:02:13 megamama kernel: EFLAGS: 00010086   (2.6.11-1.27_FC3) 
Jun  1 04:02:13 megamama kernel: EIP is at shrink_list+0x1be/0x5ea
Jun  1 04:02:13 megamama kernel: eax: 20020009   ebx: c106a3c0   ecx: 00000001 
 edx: 000000d0
Jun  1 04:02:13 megamama kernel: esi: fed2a790   edi: fed2a790   ebp: df4ddec4 
 esp: df4dde08
Jun  1 04:02:13 megamama kernel: ds: 007b   es: 007b   ss: 0068
Jun  1 04:02:13 megamama kernel: Process kswapd0 (pid: 176, threadinfo=df4dd000
task=df500c30)
Jun  1 04:02:13 megamama kernel: Stack: 00000046 00000000 c03b3994 df73f480
00000001 d67db000 d67db000 c015372a 
Jun  1 04:02:13 megamama kernel:        00000001 00000000 0000000e 00000000
df4ddf60 df4dde3c df4dde3c 00000000 
Jun  1 04:02:13 megamama kernel:        00000001 c107a940 c134f0e0 c1217a40
c13498a0 c137e320 c1352b80 c11b8620 
Jun  1 04:02:13 megamama kernel: Call Trace:
Jun  1 04:02:13 megamama kernel:  [<c015372a>] kmem_freepages+0x72/0x8c
Jun  1 04:02:13 megamama kernel:  [<c015822c>] shrink_cache+0x1b0/0x6c4
Jun  1 04:02:13 megamama kernel:  [<c0196b37>] generic_delete_inode+0x158/0x2ff
Jun  1 04:02:13 megamama kernel:  [<c018f36f>] dput+0xca/0x5dc
Jun  1 04:02:13 megamama kernel:  [<c01578bd>] shrink_slab+0x10f/0x14f
Jun  1 04:02:13 megamama kernel:  [<c0159278>] shrink_zone+0x95/0xb8
Jun  1 04:02:13 megamama kernel:  [<c015969e>] balance_pgdat+0x22f/0x383
Jun  1 04:02:13 megamama kernel:  [<c01598bf>] kswapd+0xcd/0x110
Jun  1 04:02:13 megamama kernel:  [<c013c499>] autoremove_wake_function+0x0/0x37
Jun  1 04:02:13 megamama kernel:  [<c013c499>] autoremove_wake_function+0x0/0x37
Jun  1 04:02:13 megamama kernel:  [<c01597f2>] kswapd+0x0/0x110
Jun  1 04:02:13 megamama kernel:  [<c0101291>] kernel_thread_helper+0x5/0xb
Jun  1 04:02:14 megamama kernel: Code: 0f 84 8b 00 00 00 83 f8 02 89 f6 0f 84 4f
01 00 00 8b 03 a8 10 0f 85 ac 00 00 00 8b 03 f6 c4 10 0f 85 d2 01 00 00 85 ff 74
67 fa <81> 7f 10 3c 4b 24 1d 0f 85 c3 02 00 00 8b 47 14 85 c0 74 0b 8b 




Jun  6 09:58:47 megamama kernel: Unable to handle kernel paging request at
virtual address ff6b6c54
Jun  6 09:58:47 megamama kernel:  printing eip:
Jun  6 09:58:47 megamama kernel: c0163f7c
Jun  6 09:58:47 megamama kernel: *pde = 00000000
Jun  6 09:58:47 megamama kernel: Oops: 0000 [#1]
Jun  6 09:58:47 megamama kernel: Modules linked in: nfs lockd parport_pc lp
parport autofs4 it87 eeprom i2c_sensor i2c_isa sunrpc dm_mod video button
battery ac uhci_hcd ehci_hcd i2c_viapro i2c_core snd_via82xx snd_ac97_codec
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore via_rhine mii floppy
ext3 jbd sata_via libata sd_mod scsi_modJun  6 09:58:47 megamama kernel: CPU:    0
Jun  6 09:58:47 megamama kernel: EIP:    0060:[<c0163f7c>]    Not tainted VLI
Jun  6 09:58:47 megamama kernel: EFLAGS: 00010282   (2.6.10-1.770_FC3) 
Jun  6 09:58:47 megamama kernel: EIP is at try_to_release_page+0x24/0x46
Jun  6 09:58:47 megamama kernel: eax: 20001001   ebx: 00000000   ecx: c1312780 
 edx: ff6b6bf4
Jun  6 09:58:47 megamama kernel: esi: 000000d0   edi: ff6b6bf4   ebp: df4caf68 
 esp: df4cae58
Jun  6 09:58:47 megamama kernel: ds: 007b   es: 007b   ss: 0068
Jun  6 09:58:47 megamama kernel: Process kswapd0 (pid: 176, threadinfo=df4ca000
task=df501180)
Jun  6 09:58:47 megamama kernel: Stack: ff6b6bf4 c1312780 c014a5ab 00000001
00000000 0000000b 00000000 df4caedc 
Jun  6 09:58:47 megamama kernel:        df4cae78 df4cae78 0000000b 00000001
c13122a0 c1312440 c13122e0 c1312420 
Jun  6 09:58:47 megamama kernel:        c13125c0 c13123c0 c1312840 c1312860
c1312920 c13127e0 c1312960 00000286 
Jun  6 09:58:47 megamama kernel: Call Trace:
Jun  6 09:58:47 megamama kernel:  [<c014a5ab>] shrink_list+0x26f/0x4ec
Jun  6 09:58:47 megamama kernel:  [<c014aa90>] shrink_cache+0x268/0x588
Jun  6 09:58:47 megamama kernel:  [<c014b705>] shrink_zone+0xa7/0xb6
Jun  6 09:58:47 megamama kernel:  [<c014ba6a>] balance_pgdat+0x196/0x2d9
Jun  6 09:58:47 megamama kernel:  [<c014bc66>] kswapd+0xb9/0xbb
Jun  6 09:58:47 megamama kernel:  [<c0133328>] autoremove_wake_function+0x0/0x2d
Jun  6 09:58:47 megamama kernel:  [<c0133328>] autoremove_wake_function+0x0/0x2d
Jun  6 09:58:47 megamama kernel:  [<c014bbad>] kswapd+0x0/0xbb
Jun  6 09:58:47 megamama kernel:  [<c01011dd>] kernel_thread_helper+0x5/0xb
Jun  6 09:58:47 megamama kernel: Code: d8 89 46 1c 5b 5e c3 56 89 c1 89 d6 53 8b
50 10 8b 00 a8 01 75 08 0f 0b 31 06 5f 0d 31 c0 8b 01 31 db f6 c4 20 75 21 85 d2
74 14 <8b> 42 60 8b 58 28 85 db 74 0a 89 f2 89 c8 ff d3 89 c3 eb 09 5b 



Jun 12 03:05:29 megamama kernel: Unable to handle kernel paging request at
virtual address ff6b6c20
Jun 12 03:05:29 megamama kernel:  printing eip:
Jun 12 03:05:29 megamama kernel: c014a451
Jun 12 03:05:29 megamama kernel: *pde = 00000000
Jun 12 03:05:29 megamama kernel: Oops: 0000 [#1]
Jun 12 03:05:29 megamama kernel: Modules linked in: nfs lockd parport_pc lp
parport autofs4 it87 eeprom i2c_sensor i2c_isa sunrpc dm_mod video button
battery ac uhci_hcd ehci_hcd i2c_viapro i2c_core snd_via82xx snd_ac97_codec
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore via_rhine mii floppy
ext3 jbd sata_via libata sd_mod scsi_modJun 12 03:05:29 megamama kernel: CPU:    0
Jun 12 03:05:29 megamama kernel: EIP:    0060:[<c014a451>]    Not tainted VLI
Jun 12 03:05:29 megamama kernel: EFLAGS: 00010246   (2.6.10-1.770_FC3) 
Jun 12 03:05:29 megamama kernel: EIP is at shrink_list+0x115/0x4ec
Jun 12 03:05:29 megamama kernel: eax: 20001001   ebx: df4c0edc   ecx: 00000000 
 edx: ff6b6bf4
Jun 12 03:05:29 megamama kernel: esi: c1373280   edi: df6b6bf4   ebp: df4c0f68 
 esp: df4c0e64
Jun 12 03:05:29 megamama kernel: ds: 007b   es: 007b   ss: 0068
Jun 12 03:05:29 megamama kernel: Process kswapd0 (pid: 176, threadinfo=df4c0000
task=df501180)
Jun 12 03:05:29 megamama kernel: Stack: 00000001 00000001 00000010 00000000
df4c0edc df4c0e78 df4c0e78 00000002 
Jun 12 03:05:29 megamama kernel:        00000001 c13b4ee0 c12f7860 c12c5860
c114f4e0 c11df7a0 c11b6a80 c12ed440 
Jun 12 03:05:29 megamama kernel:        c13aa620 c119dbe0 c129ad60 c1290b20
c1174160 c13b7160 c13446c0 c0350914 
Jun 12 03:05:29 megamama kernel: Call Trace:
Jun 12 03:05:29 megamama kernel:  [<c014aa90>] shrink_cache+0x268/0x588
Jun 12 03:05:29 megamama kernel:  [<c014a0f3>] shrink_slab+0x7d/0x149
Jun 12 03:05:29 megamama kernel:  [<c014b705>] shrink_zone+0xa7/0xb6
Jun 12 03:05:29 megamama kernel:  [<c014ba6a>] balance_pgdat+0x196/0x2d9
Jun 12 03:05:29 megamama kernel:  [<c014bc66>] kswapd+0xb9/0xbb
Jun 12 03:05:29 megamama kernel:  [<c0133328>] autoremove_wake_function+0x0/0x2d
Jun 12 03:05:29 megamama kernel:  [<c0133328>] autoremove_wake_function+0x0/0x2d
Jun 12 03:05:29 megamama kernel:  [<c014bbad>] kswapd+0x0/0xbb
Jun 12 03:05:29 megamama kernel:  [<c01011dd>] kernel_thread_helper+0x5/0xb
Jun 12 03:05:29 megamama kernel: Code: 8b 06 a9 00 00 01 00 0f 85 65 03 00 00 8b
06 8b 56 10 a9 00 00 01 00 74 07 ba e0 10 35 c0 eb 09 f6 c2 01 75 21 85 d2 74 1d
31 c9 <83> 7a 2c 00 75 08 8d 42 34 39 42 34 74 05 b9 01 00 00 00 85 c9 


Jun 13 15:47:04 megamama kernel: Unable to handle kernel paging request at
virtual address ee08894c
Jun 13 15:47:04 megamama kernel:  printing eip:
Jun 13 15:47:04 megamama kernel: c0163f7c
Jun 13 15:47:04 megamama kernel: *pde = 00000000
Jun 13 15:47:04 megamama kernel: Oops: 0000 [#2]
Jun 13 15:47:04 megamama kernel: Modules linked in: nfs lockd parport_pc lp
parport autofs4 it87 eeprom i2c_sensor i2c_isa sunrpc dm_mod video button
battery ac uhci_hcd ehci_hcd i2c_viapro i2c_core snd_via82xx snd_ac97_codec
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore via_rhine mii floppy
ext3 jbd sata_via libata sd_mod scsi_modJun 13 15:47:04 megamama kernel: CPU:    0
Jun 13 15:47:04 megamama kernel: EIP:    0060:[<c0163f7c>]    Not tainted VLI
Jun 13 15:47:04 megamama kernel: EFLAGS: 00010282   (2.6.10-1.770_FC3) 
Jun 13 15:47:04 megamama kernel: EIP is at try_to_release_page+0x24/0x46
Jun 13 15:47:04 megamama kernel: eax: 20001009   ebx: 00000000   ecx: c1273000 
 edx: ee0888ec
Jun 13 15:47:04 megamama kernel: esi: 000000d0   edi: ee0888ec   ebp: dc58aeb0 
 esp: dc58ada0
Jun 13 15:47:04 megamama kernel: ds: 007b   es: 007b   ss: 0068
Jun 13 15:47:04 megamama kernel: Process squid (pid: 4402, threadinfo=dc58a000
task=de0588a0)
Jun 13 15:47:04 megamama kernel: Stack: ee0888ec c1273000 c014a5ab 00000001
00000000 00000012 00000000 dc58ae24 
Jun 13 15:47:04 megamama kernel:        dc58adc0 dc58adc0 00000004 00000001
c13b1ee0 c13ac3c0 c13c7580 c12643e0 
Jun 13 15:47:04 megamama kernel:        c1390fc0 c138b220 c138b080 c13765e0
c13737a0 c134d940 c134d960 c1100280 
Jun 13 15:47:04 megamama kernel: Call Trace:
Jun 13 15:47:04 megamama kernel:  [<c014a5ab>] shrink_list+0x26f/0x4ec
Jun 13 15:47:04 megamama kernel:  [<c014aa90>] shrink_cache+0x268/0x588
Jun 13 15:47:04 megamama kernel:  [<c014b705>] shrink_zone+0xa7/0xb6
Jun 13 15:47:04 megamama kernel:  [<c014b760>] shrink_caches+0x4c/0x57
Jun 13 15:47:04 megamama kernel:  [<c014b80f>] try_to_free_pages+0xa4/0x169
Jun 13 15:47:04 megamama kernel:  [<c01434cc>] __alloc_pages+0x1ac/0x28e
Jun 13 15:47:04 megamama kernel:  [<c01435c6>] __get_free_pages+0x18/0x24
Jun 13 15:47:04 megamama kernel:  [<c01744fa>] __pollwait+0x2d/0x94
Jun 13 15:47:04 megamama kernel:  [<c02a3d6c>] datagram_poll+0x25/0xd1
Jun 13 15:47:04 megamama kernel:  [<c02de036>] udp_poll+0xc/0x1a7
Jun 13 15:47:04 megamama kernel:  [<c029e36e>] sock_poll+0x12/0x14
Jun 13 15:47:04 megamama kernel:  [<c0174e6f>] do_pollfd+0x42/0x77
Jun 13 15:47:04 megamama kernel:  [<c0174eed>] do_poll+0x49/0xab
Jun 13 15:47:04 megamama kernel:  [<c017506c>] sys_poll+0x11d/0x1b9
Jun 13 15:47:04 megamama kernel:  [<c01744cd>] __pollwait+0x0/0x94
Jun 13 15:47:04 megamama kernel:  [<c01203a8>] sys_gettimeofday+0x25/0x55
Jun 13 15:47:04 megamama kernel:  [<c0103443>] syscall_call+0x7/0xb
Jun 13 15:47:04 megamama kernel: Code: d8 89 46 1c 5b 5e c3 56 89 c1 89 d6 53 8b
50 10 8b 00 a8 01 75 08 0f 0b 31 06 5f 0d 31 c0 8b 01 31 db f6 c4 20 75 21 85 d2
74 14 <8b> 42 60 8b 58 28 85 db 74 0a 89 f2 89 c8 ff d3 89 c3 eb 09 5b 


Jun 22 10:27:20 megamama kernel: Unable to handle kernel paging request at
virtual address e327d898
Jun 22 10:27:20 megamama kernel:  printing eip:
Jun 22 10:27:20 megamama kernel: c014a451
Jun 22 10:27:20 megamama kernel: *pde = 00000000
Jun 22 10:27:20 megamama kernel: Oops: 0000 [#2]
Jun 22 10:27:20 megamama kernel: Modules linked in: nfs lockd parport_pc lp
parport autofs4 it87 eeprom i2c_sensor i2c_isa sunrpc dm_mod video button
battery ac uhci_hcd ehci_hcd i2c_viapro i2c_core snd_via82xx snd_ac97_codec
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore via_rhine mii floppy
ext3 jbd sd_mod scsi_mod
Jun 22 10:27:20 megamama kernel: CPU:    0
Jun 22 10:27:20 megamama kernel: EIP:    0060:[<c014a451>]    Tainted: G    B VLI
Jun 22 10:27:20 megamama kernel: EFLAGS: 00010246   (2.6.10-1.770_FC3) 
Jun 22 10:27:20 megamama kernel: EIP is at shrink_list+0x115/0x4ec
Jun 22 10:27:20 megamama kernel: eax: 20020009   ebx: d5a0ccd4   ecx: 00000000 
 edx: e327d86c
Jun 22 10:27:20 megamama kernel: esi: c13dfb00   edi: df6b61f4   ebp: d5a0cd60 
 esp: d5a0cc5c
Jun 22 10:27:20 megamama kernel: ds: 007b   es: 007b   ss: 0068
Jun 22 10:27:20 megamama kernel: Process find (pid: 14790, threadinfo=d5a0c000
task=de0c62b0)
Jun 22 10:27:20 megamama kernel: Stack: 00000000 00000001 0000000d 00000000
d5a0ccd4 c102f518 c102f2b8 0000000d 
Jun 22 10:27:20 megamama kernel:        00000001 c106cd80 c1140b20 c114d020
c139b060 c139b0e0 c12555c0 c114e1e0 
Jun 22 10:27:20 megamama kernel:        c10a3720 c1306dc0 c11fbae0 c11f86e0
c11fba20 c106a8c0 00000020 c0350914 
Jun 22 10:27:20 megamama kernel: Call Trace:
Jun 22 10:27:20 megamama kernel:  [<c014aa90>] shrink_cache+0x268/0x588
Jun 22 10:27:20 megamama kernel:  [<c014b705>] shrink_zone+0xa7/0xb6
Jun 22 10:27:20 megamama kernel:  [<c014b760>] shrink_caches+0x4c/0x57
Jun 22 10:27:20 megamama kernel:  [<c014b80f>] try_to_free_pages+0xa4/0x169
Jun 22 10:27:20 megamama kernel:  [<c01434cc>] __alloc_pages+0x1ac/0x28e
Jun 22 10:27:20 megamama kernel:  [<c01435c6>] __get_free_pages+0x18/0x24
Jun 22 10:27:20 megamama kernel:  [<c0146bb5>] kmem_getpages+0x15/0x94
Jun 22 10:27:20 megamama kernel:  [<c01478ae>] cache_grow+0x11f/0x260
Jun 22 10:27:20 megamama kernel:  [<c0147bfd>] cache_alloc_refill+0x20e/0x23e
Jun 22 10:27:20 megamama kernel:  [<c0147e7c>] kmem_cache_alloc+0x3f/0x45
Jun 22 10:27:20 megamama kernel:  [<e00ce13b>] ext3_alloc_inode+0xf/0x46 [ext3]
Jun 22 10:27:20 megamama kernel:  [<c017b7b7>] alloc_inode+0x13/0x17f
Jun 22 10:27:20 megamama kernel:  [<c017c8fd>] get_new_inode_fast+0xf/0x214
Jun 22 10:27:20 megamama kernel:  [<e00cb918>] ext3_lookup+0x40/0x87 [ext3]
Jun 22 10:27:20 megamama kernel:  [<c016f3d2>] real_lookup+0x5d/0xbf
Jun 22 10:27:20 megamama kernel:  [<c016f70c>] do_lookup+0x56/0x8f
Jun 22 10:27:20 megamama kernel:  [<c01701a8>] link_path_walk+0xa63/0xdc6
Jun 22 10:27:20 megamama kernel:  [<c01c1f6e>] selinux_inode_getattr+0x48/0x50
Jun 22 10:27:20 megamama kernel:  [<c0170786>] path_lookup+0xff/0x12f
Jun 22 10:27:20 megamama kernel:  [<c01708ca>] __user_walk+0x21/0x51
Jun 22 10:27:20 megamama kernel:  [<c016b0ab>] vfs_lstat+0x11/0x37
Jun 22 10:27:20 megamama kernel:  [<c016b604>] sys_lstat64+0xf/0x23
Jun 22 10:27:20 megamama kernel:  [<c0103443>] syscall_call+0x7/0xb
Jun 22 10:27:20 megamama kernel: Code: 8b 06 a9 00 00 01 00 0f 85 65 03 00 00 8b
06 8b 56 10 a9 00 00 01 00 74 07 ba e0 10 35 c0 eb 09 f6 c2 01 75 21 85 d2 74 1d
31 c9 <83> 7a 2c 00 75 08 8d 42 34 39 42 34 74 05 b9 01 00 00 00 85 c9 


Comment 12 Dave Jones 2005-07-15 16:45:31 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 13 Brendan Lynch 2005-07-25 16:34:30 EDT
Actually my problems seem to be fixed in kernel-2.6.11-1.35_FC3.  Since
installing this I have seen no repetition of the Oops mentioned above, in 5+
weeks of reular use.

I am going to install the 2.6.12 kernel tomorrow and will report if the problem
reoccurs.

Note You need to log in before you can comment on or make changes to this bug.